/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#include "stonage.h"

#include <glib.h>
#include <sys/types.h>
#include <libintl.h>
#include <locale.h>
#include "trace.h"
#include "square.h"
#include "window_properties.h"
#include "window_map.h"
#include "square_select.h"

#include <gtk/gtk.h>

int main(int argc, char **argv)
{
  struct map_info *map_info;
  //struct square_info *square_info;

  gtk_init(&argc, &argv);
  gdk_rgb_init();

#ifdef ENABLE_NLS
  setlocale (LC_ALL, "");
  bindtextdomain (PACKAGE, LOCALEDIR);
  textdomain (PACKAGE);
#endif

  //square_info=create_square_window(STONAGE_DATA_DIR);
  create_squares_dialog();
  map_info=create_map_window();

  //gtk_widget_show(square_info->window);
  gtk_widget_show(map_info->window);

  gtk_main();

  return 0;
}


